function entries = get_nentries( this, op_name, mode )

% entries = get_nentries( this, op_name, mode )
%
% Mode is either 'iters' or 'calls'.


%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


switch mode
 case 'iters'
  entries = size( this.results{get_op_ind(this, op_name)}, 1 );
 case 'calls'
  entries = length( this.areas{get_op_ind(this, op_name)} ) - 1;
 otherwise
  error(['Unknown mode: ' mode '! Should be ''iters'' or ''calls''.' ]);
end

return;
